﻿--[[
Name: Rating Buster frFR locale (incomplete)
Revision: $Revision: 1 $
Translated by:
- Tixu@Curse
]]
local L = AceLibrary("AceLocale-2.2"):new("RatingBuster")
----
-- This file is coded in UTF-8
-- If you don't have a editor that can save in UTF-8, I recommend Ultraedit
----
L:RegisterTranslations("frFR", function() return {
	---------------------------
	-- Slash Command Options --
	---------------------------
	-- /rb itemid
	["Show ItemID"] = "Voir ItemID",
	["Show the ItemID in tooltips"] = "Permuter l'affichage de l'identifiant interne des objets ",
	-- /rb itemlevel
	["Show ItemLevel"] = "Voir ItemLvl",
	["Show the ItemLevel in tooltips"] = "Permuter l'affichage du niveau des objets",
	-- /rb usereqlv
	["Use required level"] = "Utiliser le niveau requis",
	["Calculate using the required level if you are below the required level"] = "Utiliser le niveau requis par l'objet si vous ne l'atteignez pas",
	-- /rb level
	["Set level"] = "Niveau utilisateur",
	--["Set the level used in calculations (0 = your level)"] = "Modifier le niveau de l'utilisateur pour le calcul des statistiques",
	-- /rb color
	["Change text color"] = "Modifier la couleur",
	["Changes the color of added text"] = "Modifier la couleur de l'affichage des statistiques de RatingBuster",
	-- /rb color pick
	["Pick color"] = "Choisir la couleur",
	["Pick a color"] = "Choisir la couleur",
	-- /rb color enable
	["Enable color"] = "Activer la couleur",
	["Enable colored text"] = "Activer la couleur personnalis\195\169e",
	-- /rb stat
	--["Stat"] = true,
	["Changes the display of base stats"] = "Permuter l'affichage de l'effet des caract\195\169ristiques",
	-- /rb stat agi
	["Agility"] ="Agilit\195\169",
	["Changes the display of Agility"] = "Permuter l'affichage des effets statistiques de l'agilit\195\169",
	-- /rb stat agi crit
	["Show Crit"] = "Voir critiques en m\195\169l\195\169e",
	["Show Crit from Agility"] = "Montrer les effets de l'agilit\195\169 sur les coups critiques en m\195\169l\195\169e",
	-- /rb stat int
	["Intellect"] = "Intelligence",
	["Changes the display of Intellect"] = "Permuter l'affichage des effets statistiques de l'intelligence",
	-- /rb stat int spellcrit
	["Show Spell Crit"] = "Voir critiques des sorts",
	["Show Spell Crit from Intellect"] = "Montrer les effets de l'intelligence sur les coups critiques des sorts",

	----------------------
	-- Item Level and ID --
	-----------------------
	--["ItemLevel: "] = true,
	--["ItemID: "] = true,
	-----------------------
	-- Matching Patterns --
	-----------------------
	["numberPatterns"] = {
		{pattern = " de (%d+)", addInfo = "AfterNumber",},
		{pattern = "(%d+) \195\160 votre ", addInfo = "AfterNumber",},
		{pattern = "%+(%d+)", addInfo = "AfterStat",},
	},
	["separators"] = {
		"/", " et ", ",", "%. ",
	},

	["statList"] = {
		{pattern = string.lower(SPELL_STAT2_NAME), id = SPELL_STAT2_NAME}, -- Agility
		{pattern = string.lower(SPELL_STAT4_NAME), id = SPELL_STAT4_NAME}, -- Intellect
		{pattern = "score de d\195\169fense", id = CR_DEFENSE_SKILL},
		{pattern = "score d'esquive", id = CR_DODGE},
		{pattern = "score de blocage", id = CR_BLOCK},
		{pattern = "score de parade", id = CR_PARRY},

		{pattern = "score de critique des sorts", id = CR_CRIT_SPELL},
		-- {pattern = "score de critique \195\160 distance", id = CR_CRIT_RANGED},
		{pattern = "score de coup critique", id = CR_CRIT_MELEE},
		{pattern = "score de toucher des sorts", id = CR_HIT_SPELL},
		-- {pattern = "score de toucher \195\160 distance", id = CR_HIT_RANGED},
		{pattern = "score de toucher", id = CR_HIT_MELEE},
		--
		{pattern = "r\195\169silience", id = CR_CRIT_TAKEN_MELEE}, -- resilience is implicitly a rating
		-- {pattern = "spell haste rating", id = CR_HASTE_SPELL},
		-- {pattern = "ranged haste rating", id = CR_HASTE_RANGED},
		{pattern = "score de h\195\162te", id = CR_HASTE_MELEE}, -- [Drums of Battle]
		{pattern = "score de h\195\162te en m\195\170l\195\169e", id = CR_HASTE_MELEE},
		--
		{pattern = "score de la comp\195\169tence", id = CR_WEAPON_SKILL},
		--
		{pattern = "score d'\195\169vitement des coups", id = CR_HIT_TAKEN_MELEE},
	},
	-- $value will be replaced with the number
	-- EX: "$value% Crit" -> "+1.34% crit"
	-- EX: "Crit $value%" -> "crit +1.34%"
	["$value% Crit"] = "$value% crit",
	["$value% Spell Crit"] = "$value% crit",
} end)